Skip to content

Supercases

This object allows for the management of many cases across a number of borrowers. That is to say that a supercase can create, manage, and close many cases at once.

This is particularly useful if an issue occurs which affects a large group of borrowers.

  • Cases created by a supercase are called subcases
  • A supercase can only manage cases it has created (i.e., NOT cases created via the /cases endpoint)

Managing "who" is affected by a supercase is an important aspect of supercases:

  • A member of a supercase is one "borrower-loan" pairing.
  • A population is a set of members added at once.
    • A supercase might have many populations if different members are added at different times.
    • It's useful to keep track of sets of members like this because different actions might need to be taken on different members depending on when they're added to a supercase.
    • A population's membership may be changed until it is "committed" by setting isDraft: false, at which time the memberships are locked and subcases are created.

List supercases

Request

Security
oauth2(Required scopes: supercase:list) or bearerAuth or apiKeyHeader
Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

offsetinteger, >= 0

Offset from the start of results.

sortByArray of strings

The attribute by which to sort the results.

Items Enum:"-id""id""+id""-createdAt""createdAt""+createdAt""-name""name""+name""-status"
supercaseTypestring(SupercaseType)

The type of the supercase

Default:"generic"
Enum:"generic""federalEmergency"
femaDisasterNumberinteger
statusArray of strings
GET
/supercases
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/supercases?limit=25&startingAfter=string&endingBefore=string&offset=0&sortBy=-id&supercaseType=generic&femaDisasterNumber=0&status=initiated' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(SupercaseCollection)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ {} ] }